Subject: Re: [PATCH v2 0/7] Speed up mirror-fetches with many refs

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 25 Aug 2021 08:04:06 +0200

On Tue, Aug 24, 2021 at 03:48:19PM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
[snip]
> A better way to handle a situation like this is to limit your
> dependencies more explicitly.  If you look at what I did to the last
> round of this topic, you'll see that there is a merge of the
> 'ps/connectivity-optim' topic into v2.33 followed by application of
> the patches, like this:

I wasn't quite sure how to best handle this, but I'll keep this in mind
for future iterations/patch series. Thanks for the explanation.

[snip]
> I had to adjust [4/7] while applying them on top of the same
> 3628199d4d I created for queuing the previous round, and it would be
> appreciated if you can double-check the result.

The result looks good to me, thanks.

Patrick